@function breakpoint($key) {

    @if variable-exists(data) {
        $breakpoints: map-get($data, 'breakpoints');

        @if $breakpoints {
            $breakpoint: map-get($breakpoints, $key);

            @if $breakpoint {
                @return $breakpoint;
            }
        }
    }

    @return '';
}